> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-3a82795f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新 CDC ClickPipes 扩缩容配置

> **此端点处于 Beta 阶段。** API 契约稳定，预计未来不会有破坏性变更。<br /><br />更新 DB ClickPipes 的扩缩容设置。

该基础设施由服务中的所有 DB ClickPipes 共享，初始加载和 CDC 均使用这套共享基础设施。扩缩容设置可能需要几分钟才能完全生效。

出于计费目的，2 个 CPU 核心和 8 GB 的 RAM [对应](https://clickhouse.com/docs/cloud/manage/billing/overview#clickpipes-for-postgres-cdc) 1 个计算单元。如果您的组织层级发生变化，DB ClickPipes 将相应地[重新扩缩容](https://clickhouse.com/docs/cloud/manage/billing/overview#compute)。

**此端点仅在至少已预配一个 DB ClickPipe 后可用。**



## OpenAPI

````yaml /zh/products/cloud/api-reference/cloud-openapi.json patch /v1/organizations/{organizationId}/services/{serviceId}/clickpipesCdcScaling
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipesCdcScaling:
    patch:
      tags:
        - ClickPipes
      summary: 更新 CDC ClickPipes 扩缩容配置
      description: >-
        **此端点处于 Beta 阶段。** API 契约稳定，预计未来不会有破坏性变更。<br /><br />更新 DB ClickPipes
        的扩缩容设置。


        该基础设施由服务中的所有 DB ClickPipes 共享，初始加载和 CDC 均使用这套共享基础设施。扩缩容设置可能需要几分钟才能完全生效。


        出于计费目的，2 个 CPU 核心和 8 GB 的 RAM
        [对应](https://clickhouse.com/docs/cloud/manage/billing/overview#clickpipes-for-postgres-cdc)
        1 个计算单元。如果您的组织层级发生变化，DB ClickPipes
        将相应地[重新扩缩容](https://clickhouse.com/docs/cloud/manage/billing/overview#compute)。


        **此端点仅在至少已预配一个 DB ClickPipe 后可用。**
      parameters:
        - description: 拥有该服务的组织 ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 拥有该 ClickPipe 的服务 ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClickPipesCdcScalingPatchRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 分配给每个请求的唯一 ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ClickPipesCdcScaling'
                  status:
                    description: HTTP 状态码。
                    example: 200
                    type: number
                type: object
          description: 成功响应
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 详细错误说明。
                    type: string
                  status:
                    description: HTTP 状态码。
                    example: 400
                    type: number
                type: object
          description: 服务器因检测到客户端错误，无法或不愿处理该请求。
components:
  schemas:
    ClickPipesCdcScalingPatchRequest:
      properties:
        replicaCpuMillicores:
          description: DB ClickPipes 的 CPU（毫核）。
          example: 2000
          maximum: 24000
          minimum: 1000
          multipleOf: 1000
          type: integer
        replicaMemoryGb:
          description: DB ClickPipes 的内存（GiB）。必须为 CPU 核心数的 4 倍。
          example: 8
          maximum: 96
          minimum: 4
          multipleOf: 4
          type: number
    ClickPipesCdcScaling:
      properties:
        replicaCpuMillicores:
          description: DB ClickPipes 的 CPU（以毫核计）。
          example: 2000
          maximum: 24000
          minimum: 1000
          multipleOf: 1000
          type: integer
        replicaMemoryGb:
          description: DB ClickPipes 的内存（GiB）。必须为 CPU 核心数的 4 倍。
          example: 8
          maximum: 96
          minimum: 4
          multipleOf: 4
          type: number
  securitySchemes:
    basicAuth:
      description: >-
        使用在 ClickHouse Cloud 控制台中获取的 key ID 和 key
        secret：https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````